import Foundation
import App

abbrev = 'Bonaventure_TAS'
iconName = 'Bonaventure_TAS'
longName = 'Bonaventure_TAS Class'
shipFile = 'Bonaventure_TAS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = ["Starfleet Museum"]
species = App.SPECIES_GALAXY

Foundation.ShipDef.Bonaventure_TAS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Bonaventure_TAS.fMaxWarp = 6.2
Foundation.ShipDef.Bonaventure_TAS.fCruiseWarp = 4.6
Foundation.ShipDef.Bonaventure_TAS.fWarpEntryDelayTime = 2.0
Foundation.ShipDef.Bonaventure_TAS.sBridge = 'Constitutioncagebridge'
Foundation.ShipDef.Bonaventure_TAS.desc = "S.S. Bonaventure\n\nPre-Federation galactic survey starship, Bonaventure-class, registry number NCC-10281, the first starship equipped with warp drive. The ship was launched in 2115, and on its third voyage, the S.S. Bonaventure became lost in the region of space known as the Delta Triangle, a location where a large number of mysterious disappearances of starships had been recorded since ancient times by different civilizations all over the galaxy.\n\nOn stardate 5267.3, the Bonaventure was discovered in the alternate universe of Elysia along with all of the other starships lost in the Delta Triangle region over the centuries. Bonaventure-class vessels were smaller than Constitution-class ships like the Enterprise, and had bulkier, less efficient warp nacelles. ('The Time Trap')."

if menuGroup:           Foundation.ShipDef.Bonaventure_TAS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Bonaventure_TAS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


